TikTok, Instagram, and X are live. Sign up for 150 free credits.
Fluxcrawl
API ReferenceInstagram

List highlights

GET
/v1/instagram/highlights

List an Instagram account's story highlights.

Cost: 2 credits per successful call.

Authorization

ApiKeyAuth
X-API-Key<token>

Required on every request. Keys are issued manually during early access, see Authentication.

In: header

Query Parameters

username*string

Instagram handle, no @.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instagram/highlights?username=instagram"
{  "success": true,  "platform": "instagram",  "data": [    {      "id": "highlight:18029499352961095",      "title": "what's new",      "media_count": 47    }  ],  "meta": {    "credits_used": 2  }}